Hourly Total Flow

In the following endpoint, a whale is a trader with a trading volume (perpetual and spot combined) exceeding $100,000 in an hour.

This endpoint retrieves hourly perpetual + spot flow of all whales and coins combined:

  • buy_and_long_volume_usdc: total spot buy volume + perpetual long volume of all coins and all whales

  • sell_and_short_volume_usdc: total spot sell volume + perpetual short volume of all coins and all whales

  • total_volume_usdc: total spot and perpetual volume of all coins and all whales

  • count_whales: count of whales involved in the perpetual or spot trading

  • net_flow: defined as (buy_and_long_volume_usdc - sell_and_short_volume_usdc)/ total_volume_usdc

Get total hourly whale flow

get

Includes perpetual and spot. Returns in time descending order—defaults to the last 5 records.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitinteger · min: 1 · max: 1000Optional

Number of records to return

Default: 5
start_timestampany ofOptional

Start timestamp in Unix epoch milliseconds (optional filter)

integerOptional
or
nullOptional
end_timestampany ofOptional

End timestamp in Unix epoch milliseconds (optional filter)

integerOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
get
/v1/whale/flow/1h/total

Last updated